Unit Help;
{========================================================================}
Interface
  Procedure ListHelp;
  Procedure AreaHelp;
{========================================================================}
Implementation
  Uses
    Crt, MfmDefs, Screen, Setup;
{========================================================================}
Procedure ListHelp;
  Begin
    AnsiClearScreen; NewTextColor(7);
    AnsiGotoXY(1,40-(Length(Pgmid) Div 2)); Write(Pgmid); WriteLn;
    WriteLn('[Navagate through list]ͻ');
    Write('');
    NewTextColor(9);
    Write('          7 : TopOfList       8 : LineUp             9 : PageUp             ');
    NewTextColor(7);
    WriteLn('');
    Write('');
    NewTextColor(9);
    Write('          1 : BottomOfList    2 : LineDown           3 : PageDown           ');
    NewTextColor(7);
    WriteLn('');
    WriteLn('[Add, Edit and Rename]͹');
    Write('');
    NewTextColor(10);
    Write(' A : Adopt/Abandon         E : Edit Description        I : Insert Blank     ');
    NewTextColor(7);
    WriteLn('');
    Write('');
    NewTextColor(10);
    Write(' R : Rename File           D : Change File Date       ^A : Adopt ALL        ');
    NewTextColor(7);
    WriteLn('');
    WriteLn('[Copy or Move between areas]͹');
    Write('');
    NewTextColor(11);
    Write(' C : Copy to New Area      M : Move to New Area                             ');
    NewTextColor(7);
    WriteLn('');
    Write('');
    NewTextColor(11);
    Write(' $ : Mass Copy             # : Mass Move          <SP> : Toggle Tag         ');
    NewTextColor(7);
    WriteLn('');
    WriteLn('[Move or Remove entries in list]͹');
    Write('');
    NewTextColor(12);
    Write(' < : Push Record     > : Pop Record   K : Kill Entry      U : UnKill Entry  ');
    NewTextColor(7);
    WriteLn('');
    Write('');
    NewTextColor(12);
    Write(' [ : Stack Prev      ] : Stack Next   { : Prev Kill       } : Next Kill     ');
    NewTextColor(7);
    WriteLn('');
    Write('');
    NewTextColor(12);
    Write(' ; : Show Stack                       : : Show Kill                         ');
    NewTextColor(7);
    WriteLn('');
    WriteLn('[Sort list]͹');
    Write('');
    NewTextColor(13);
    Write(' F : Mark First           L : Mark Last               S : Sort              ');
    NewTextColor(7);
    WriteLn('');
    WriteLn('[Search for string]͹');
    Write('');
    NewTextColor(14);
    Write(' ^F : In File Name       ^D : In Description         ^B : In Both           ');
    NewTextColor(7);
    WriteLn('');
    WriteLn('[View]͹');
    Write('');
    NewTextColor(9);
    Write(' ALT-V : Auto File View                 ALT-L : Use Default Viewer          ');
    NewTextColor(7);
    WriteLn('');
    Write('');
    NewTextColor(9);
    Write(' ALT-Z : Use Picture File Viewer        ALT-F : Use Compressed File Viewer  ');
    NewTextColor(7);
    WriteLn('');
    WriteLn('[Misc]͹');
    Write('');
    NewTextColor(10);
    Write(' N : New Area   W : Write List   ! : ReDraw Screen    ALT-S : Shell to DOS  ');
    NewTextColor(7);
    WriteLn('');
    Write('');
    NewTextColor(10);
    Write(' Z : Display directory of compressed file                ^R : Debit user    ');
    NewTextColor(7);
    WriteLn('');
    Write('ͼ');
    AnsiGotoXY(25,25);
    Write('[ ');
    NewTextColor(Blink+Red);
    Write('Press any key to continue!');
    NewTextColor(7);
    Write(' ]');
    NewTextColor(White);
    AnsiGotoXY(1,80);
    Gbx := GetInput;
    ReDrawScreen;
  End;
{========================================================================}
Procedure AreaHelp;
  Begin
    AnsiClearScreen; NewTextColor(7);
    AnsiGotoXY(1,1); Write(Pgmid);
    AnsiGotoXY(3,15); Write('7 : Upper Left      8 : Move Up            9 : Upper Right');
    AnsiGotoXY(4,15); Write('4 : Move Left                              6 : Move Right');
    AnsiGotoXY(5,15); Write('1 : Lower Left      2 : Move Down          3 : Lower Right');
    AnsiGotoXY(7,15); Write('TAB : Add temporary path');
    AnsiGotoXY(25,27);
    NewTextColor(Blink+Red);
    Write('Press any key to continue!');
    NewTextColor(White);
    AnsiGotoXY(1,80);
    Gbx := GetInput;
    SetupScreen;
  End;
{========================================================================}
Begin
End.
{========================================================================}
